----------------------------------------------------------------------
-- This file was created by the Xilinx CORE Generator tool, and          --
-- is (c) Xilinx, Inc. 1998, 1999. No part of this file may be                  --
-- transmitted to any third party (other than intended by Xilinx)         --
-- or used without a Xilinx programmable or hardwire device without  --
-- Xilinx's prior written permission.                               		    --
----------------------------------------------------------------------

-- The following code must appear in the VHDL architecture header:

------------- Begin Cut here for COMPONENT Declaration ------ COMP_TAG
component core32x16
	port (
	addra: IN std_logic_VECTOR(4 downto 0);
	clka: IN std_logic;
	addrb: IN std_logic_VECTOR(4 downto 0);
	clkb: IN std_logic;
	dia: IN std_logic_VECTOR(15 downto 0);
	wea: IN std_logic;
	dib: IN std_logic_VECTOR(15 downto 0);
	web: IN std_logic;
	ena: IN std_logic;
	enb: IN std_logic;
	rsta: IN std_logic;
	rstb: IN std_logic;
	doa: OUT std_logic_VECTOR(15 downto 0);
	dob: OUT std_logic_VECTOR(15 downto 0));
end component;

-- COMP_TAG_END ------ End COMPONENT Declaration ------------

-- The following code must appear in the VHDL architecture
-- body. Substitute your own instance name and net names.

------------- Begin Cut here for INSTANTIATION Template ----- INST_TAG
your_instance_name : core32x16
		port map (
			addra => addra,
			clka => clka,
			addrb => addrb,
			clkb => clkb,
			dia => dia,
			wea => wea,
			dib => dib,
			web => web,
			ena => ena,
			enb => enb,
			rsta => rsta,
			rstb => rstb,
			doa => doa,
			dob => dob);
-- INST_TAG_END ------ End INSTANTIATION Template ------------

-- The following code must appear above the VHDL configuration
-- declaration. An example is given at the end of this file.

------------- Begin Cut here for LIBRARY Declaration -------- LIB_TAG

-- synopsys translate_off

Library XilinxCoreLib;

-- synopsys translate_on

-- LIB_TAG_END ------- End LIBRARY Declaration ------------

-- The following code must appear within the VHDL top-level
-- configuration declaration. Ensure that the translate_off/on
-- compiler directives are correct for your synthesis tool(s).

------------- Begin Cut here for CONFIGURATION snippet ------ CONF_TAG

-- synopsys translate_off

	for all : core32x16 use entity XilinxCoreLib.C_MEM_DP_BLOCK_V1_0(behavioral)
		generic map(
			c_depth_b => 32,
			c_depth_a => 32,
			c_has_web => 1,
			c_has_wea => 1,
			c_has_dib => 1,
			c_has_dia => 1,
			c_clka_polarity => 1,
			c_web_polarity => 1,
			c_address_width_b => 5,
			c_address_width_a => 5,
			c_width_b => 16,
			c_width_a => 16,
			c_clkb_polarity => 1,
			c_ena_polarity => 1,
			c_rsta_polarity => 1,
			c_has_rstb => 1,
			c_has_rsta => 1,
			c_read_mif => 1,
			c_enb_polarity => 1,
			c_pipe_stages => 0,
			c_rstb_polarity => 1,
			c_has_enb => 1,
			c_has_ena => 1,
			c_mem_init_radix => 16,
			c_default_data => "0",
			c_mem_init_file => "/home/darinc/XAPP/core32x16.mif",
			c_has_dob => 1,
			c_generate_mif => 1,
			c_has_doa => 1,
			c_wea_polarity => 1);
	end for;

-- synopsys translate_on

-- CONF_TAG_END ------ End CONFIGURATION snippet ------------

-------------------------------------------------------------
-- Example of configuration declaration...
-------------------------------------------------------------
--
-- <Insert LIBRARY Declaration here>
--
-- configuration <cfg_my_design> of <my_design> is
--     for <my_arch_name>
--         <Insert CONFIGURATION Declaration here>
--     end for;
-- end <cfg_my_design>;
--
-- If this is not the top-level design then in the next level up, the following text
-- should appear at the end of that file:
--
-- configuration <cfg> of <next_level> is
--     for <arch_name>
--           for all : <my_design> use configuration <cfg_my_design>;
--           end for;
--     end for;
-- end <cfg>;
--
